Alembic: Alembic::AbcGeom::ALEMBIC_VERSION_NS::OSubDSchema::Sample Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::OSubDSchema::Sample Class Reference

## Public Member Functions
| Sample ()
| Sample (const Abc::P3fArraySample &iPositions, const Abc::Int32ArraySample &iFaceIndices, const Abc::Int32ArraySample &iFaceCounts, const Abc::Int32ArraySample &iCreaseIndices=Abc::Int32ArraySample(), const Abc::Int32ArraySample &iCreaseLengths=Abc::Int32ArraySample(), const Abc::FloatArraySample &iCreaseSharpnesses=Abc::FloatArraySample(), const Abc::Int32ArraySample &iCornerIndices=Abc::Int32ArraySample(), const Abc::FloatArraySample &iCornerSharpnesses=Abc::FloatArraySample(), const Abc::Int32ArraySample &iHoles=Abc::Int32ArraySample())
const Abc::P3fArraySample & | getPositions () const
void | setPositions (const Abc::P3fArraySample &iSmp)
const Abc::Int32ArraySample & | getFaceIndices () const
void | setFaceIndices (const Abc::Int32ArraySample &iSmp)
const Abc::Int32ArraySample & | getFaceCounts () const
void | setFaceCounts (const Abc::Int32ArraySample &iCnt)
int32_t | getFaceVaryingInterpolateBoundary () const
void | setFaceVaryingInterpolateBoundary (int32_t i)
int32_t | getFaceVaryingPropagateCorners () const
void | setFaceVaryingPropagateCorners (int32_t i)
int32_t | getInterpolateBoundary () const
void | setInterpolateBoundary (int32_t i)
const Abc::Int32ArraySample & | getCreaseIndices () const
void | setCreaseIndices (const Abc::Int32ArraySample &iCreaseIndices)
const Abc::Int32ArraySample & | getCreaseLengths () const
void | setCreaseLengths (const Abc::Int32ArraySample &iCreaseLengths)
const Abc::FloatArraySample & | getCreaseSharpnesses () const
void | setCreaseSharpnesses (const Abc::FloatArraySample &iCreaseSharpnesses)
void | setCreases (const Abc::Int32ArraySample &iCreaseIndices, const Abc::Int32ArraySample &iCreaseLengths)
void | setCreases (const Abc::Int32ArraySample &iCreaseIndices, const Abc::Int32ArraySample &iCreaseLengths, const Abc::FloatArraySample &iCreaseSharpnesses)
const Abc::Int32ArraySample & | getCornerIndices () const
void | setCornerIndices (const Abc::Int32ArraySample &iCornerIndices)
const Abc::FloatArraySample & | getCornerSharpnesses () const
void | setCornerSharpnesses (const Abc::FloatArraySample &iCornerSharpnesses)
void | setCorners (const Abc::Int32ArraySample &iCornerIndices, const Abc::FloatArraySample &iCornerSharpnesses)
const Abc::Int32ArraySample & | getHoles () const
void | setHoles (const Abc::Int32ArraySample &iHoles)
std::string | getSubdivisionScheme () const
void | setSubdivisionScheme (const std::string &iScheme)
const Abc::Box3d & | getSelfBounds () const
void | setSelfBounds (const Abc::Box3d &iBnds)
const Abc::V3fArraySample & | getVelocities () const
void | setVelocities (const Abc::V3fArraySample &iVelocities)
const OV2fGeomParam::Sample & | getUVs () const
void | setUVs (const OV2fGeomParam::Sample &iUVs)
void | reset ()
bool | isPartialSample () const

## Protected Attributes
Abc::P3fArraySample | m_positions
Abc::Int32ArraySample | m_faceIndices
Abc::Int32ArraySample | m_faceCounts
int32_t | m_faceVaryingInterpolateBoundary
int32_t | m_faceVaryingPropagateCorners
int32_t | m_interpolateBoundary
Abc::Int32ArraySample | m_creaseIndices
Abc::Int32ArraySample | m_creaseLengths
Abc::FloatArraySample | m_creaseSharpnesses
Abc::Int32ArraySample | m_cornerIndices
Abc::FloatArraySample | m_cornerSharpnesses
Abc::Int32ArraySample | m_holes
std::string | m_subdScheme
Abc::Box3d | m_selfBounds
Abc::V3fArraySample | m_velocities
OV2fGeomParam::Sample | m_uvs

## Friends
class | OSubDSchema

## Constructor & Destructor Documentation

## ◆ Sample() [1/2]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OSubDSchema::Sample::Sample | ( |  | ) |
| inline

Creates a default sample with no data in it. ...

## ◆ Sample() [2/2]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OSubDSchema::Sample::Sample | ( | const Abc::P3fArraySample & | iPositions,
|  | const Abc::Int32ArraySample & | iFaceIndices,
|  | const Abc::Int32ArraySample & | iFaceCounts,
|  | const Abc::Int32ArraySample & | iCreaseIndices = Abc::Int32ArraySample(),
|  | const Abc::Int32ArraySample & | iCreaseLengths = Abc::Int32ArraySample(),
|  | const Abc::FloatArraySample & | iCreaseSharpnesses = Abc::FloatArraySample(),
|  | const Abc::Int32ArraySample & | iCornerIndices = Abc::Int32ArraySample(),
|  | const Abc::FloatArraySample & | iCornerSharpnesses = Abc::FloatArraySample(),
|  | const Abc::Int32ArraySample & | iHoles = Abc::Int32ArraySample() )
| inline

Creates a sample with position data, index data, and count data. For specifying samples with an explicit topology. The first sample must be full like this. Subsequent samples may also be full like this, which would indicate a change of topology

The documentation for this class was generated from the following file:

- AbcGeom/OSubD.h